Create a reward
curl --request POST \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/rewards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"xp_cost": 123,
"description": "<string>",
"metadata": {},
"min_tier_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
xp_cost: 123,
description: '<string>',
metadata: {},
min_tier_id: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/rewards"
payload = {
"title": "<string>",
"xp_cost": 123,
"description": "<string>",
"metadata": {},
"min_tier_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": {
"id": "<string>"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Rewards
Create a reward
Creates a redeemable reward through the Portal API.
See the Gateway API entry for the full description.
POST
/
tenant
/
{tenantId}
/
rewards
Create a reward
curl --request POST \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/rewards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"xp_cost": 123,
"description": "<string>",
"metadata": {},
"min_tier_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
xp_cost: 123,
description: '<string>',
metadata: {},
min_tier_id: '<string>'
})
};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/rewards"
payload = {
"title": "<string>",
"xp_cost": 123,
"description": "<string>",
"metadata": {},
"min_tier_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": {
"id": "<string>"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Authorizations
Auth0 access token
Path Parameters
Body
application/json
Construct a type with a set of properties K of type T
Show child attributes
Show child attributes
Tier gate — UUID of the minimum tier, or ''/omitted for all tiers.
Available options:
initialized, published ⌘I

